<?php

/*
 * config.class.php
 *
 * @copyright     Copyright 2009-2012 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Config
{
	function __get($name = NULL)
	{
		global $db;
		
		if (empty($name))
		{
			$result = $db->select('config', '*');
			while($config = $db->fetch_assoc($result))
			{
				$configuration[$config['name']] = $config['value'];
			}
		}
		else
		{
			$result = $db->select('config', array('value'), array('name' => '=\'' . $db->escape($name) . '\''));
			if ($config = $db->fetch_assoc($result))
			{
				$configuration = $config['value'];
			}
		}
		
		return (!empty($configuration)) ? $configuration : FALSE;
	}
}

?>